class Stack():
  def __init__(self):
    self._body = list()
    return

  def isempty(self):
    if len(self._body) > 0:
      return True
    else:
      return False

  def push(self, x):
    self._body.append(x)
    return

  def pop(self):
    return self._body.pop()
# Stack

def mine_names(line):
  result = frozenset()
  a = line.split(',')
  for x in a:
    tl = x.split(':')[0].split(')')[0]
    result = result | frozenset([tl.strip('( \n')])
  return result

def select_branches(line):
  halfbranches = set()
  a = Stack()
  i = 0
  while i < len(line) and line[i] != ';':
    if line[i] == '(':
      a.push(i)
    if line[i] == ')':
      j = a.pop()
      templine = line[j + 1:i]
      names = mine_names(templine)
      halfbranches.add(names)
    i += 1
  branches = set()
  n = len(names)
  for hbranch in halfbranches:
    if len(hbranch) > 1 and len(hbranch) < n - 1:
      newbranch = (hbranch, names - hbranch)
      branches.add(newbranch)
  return branches
# select_branches
