for x in `cat list.txt`
do
  seqret Alignments/$x.fasta phylip::temp.phy
  echo $x `date '+%D %H:%M:%S'`
  raxmlHPC -m PROTGAMMAAUTO -s temp.phy -p 12345 -n tmp > Logs/ML/$x.info2 # Protein
#  raxmlHPC -m GTRGAMMA -s $x.fasta -p 12345 -n tmp > Logs/ML/$x.info2 # Nucleic
  mv RAxML_bestTree.tmp Trees/ML/$x.tre
  rm RAxML_parsimonyTree.tmp
  rm RAxML_result.tmp
  mv RAxML_log.tmp Logs/ML/$x.log
  mv RAxML_info.tmp Logs/ML/$x.info
  rm temp.phy
  if [ -f temp.phy.reduced ]
    then rm temp.phy.reduced
  fi
done
